Bug 170985 - RHEL 4 Update 2 Incompatibility with VMware ESX 2.5.2
RHEL 4 Update 2 Incompatibility with VMware ESX 2.5.2
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
: Regression
Depends On:
Blocks: 168429 175120
  Show dependency treegraph
 
Reported: 2005-10-16 22:07 EDT by Bruno Clermont
Modified: 2007-11-30 17:07 EST (History)
8 users (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 15:27:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Clermont 2005-10-16 22:07:33 EDT
Components:
- VMware ESX build 16390 (latest version on 2005-10-16)
- running on a HP Proliant Server P3 host with single CPU w/ SCSI disk
- RHEL 4 Update 2 iso files.

When booting a guest machine with the Update 2 iso file the kernel crash while
loading one of the SCSI module.

If a guest machine is installed with Update 1 it work fine until it's up2date'd
to match "Update 2" package versions and kernel upgraded to 2.6.9-22.EL.
It crashed at next reboot and require a fall back to 2.6.9-11.EL kernel.

I found this message on nahant-beta-list that look like my problem:
https://www.redhat.com/archives/nahant-beta-list/2005-August/msg00009.html
Someone else seem to had reproduce this problem before with Update 2-beta.
Comment 2 Tom Coughlan 2005-10-17 14:26:57 EDT
I am investigating the nahant-beta-list posting to see what became of it. 

In the meantime, please post the console messages that print when the system
crashes.  
Comment 3 dgrace 2005-11-14 16:08:59 EST
I found out about this bug today the hard way. Last section of console screen
before VM poweroff:

"Uncompressing Linux... Ok, booting the kernel.
PCI: Cannot allocate resource region 4 of device 0000:00:07.1
Red Hat nash version 4.2.1.6 starting
sda: assuming drive cache: write through"

System boots fine going back to 2.6.9-11. 
Comment 17 Tim Morley 2006-01-11 07:59:03 EST
There is more detail of this problem on the vmware forums. It seems that the
latest mptscsi driver does a target reset on unused targets. The real hardware
doesn't support this, and the vmware emulation dies when this happens.

There is also a patch on the vmware forums that fixes this, it would be nice for
that to get into the distribution kernels.

See http://www.vmware.com/community/thread.jspa?messageID=306923 for more details!
Comment 18 Mike Christie 2006-01-11 13:30:33 EST
We should have something like that already. Could you try this kernel?
http://people.redhat.com/~jbaron/rhel4/RPMS.kernel/ These are experimental kernels.
Comment 19 Tim Morley 2006-01-12 09:05:09 EST
Thanks, I've tried the smp version of that kernel and it seems to work fine.

I take it kernels like these will end up in the next update?
Comment 20 Mike Christie 2006-01-12 12:53:02 EST
Thanks for testing. Yeah, U3.
Comment 23 Red Hat Bugzilla 2006-03-07 15:27:15 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.